#!/bin/bash
#
# Filename: BUGGER_Todo_submit.sh
#
# Generate a form for updating a projects TODO list
#
# Copyright Ben Tasker 2009
# Released under GNU GPL V3
# See http://benscomputer.no-ip.org/LICENSE
#
#



./BUGGER_config.sh imascript /tmp/BUGGER.auth_process.conf.$$

source /tmp/BUGGER.auth_process.conf.$$
rm -f /tmp/BUGGER.auth_process.conf.$$ 2> /dev/null



error_page ()
{

if [ "$AUTH" == "XD" ]
then
exit
fi


/bin/cat << EOM
<html><head><title>Access Denied</title></head>
<body bgcolor="white"><center><b><u>TODO Update: Access Denied</b></u></center>
<br><br><hr><br>
You do not appear to have appropriate access rights. Perhaps you forgot to <a href="/BUGGER/Login.shtml?REF=Todoupd&USERNAME=$USERNAME">Log In</a><br><br>
<a href="/BUGGER/Index.shtml?USERNAME=$USERNAME">Home</a><br><br>
<hr>
EOM
./BUGGER_generate_footer.sh

/bin/cat << EOM
<br>
</body>
</html>
EOM



exit
}



generate_html ()
{

AUTH=$( ./BUGGER_auth_check.sh $USERNAME D )

if [ "$AUTH" != "Y" ]
then
error_page

fi

/bin/cat << EOM
<html>
<head><title>BUGGER Todo list update</title></head>
<body bgcolor="white">
<b><Center>BUGGER Todo list updates</b></center><br><br>
<a href="/BUGGER/Index.shtml?USERNAME=$USERNAME">Cancel</a><br><hr><br>
<form action="BUGGER__Todo_process.shtml" METHOD="Get">

<table>
<tr>
<td><input type="hidden" Name="USERNAME" value="$USERNAME">
ProjectID:</td><td><SELECT NAME="ProjectID" id="ProjectID">1
EOM






wget -q -O /tmp/changelog.u.$HOST "http://$DATABASE_SERVER/cgi-bin/Claims_DB_listener.sh?METHOD=2&DBNAME=Bugs&TABLE=Projects" > /dev/null 2> /dev/null




cp /tmp/changelog.u.$HOST /tmp/changelog.u.$HOST.3

cat /tmp/changelog.u.$HOST

awk -F\, '{print $2}' /tmp/changelog.u.$HOST > /tmp/changelog.u.$HOST.2
awk '{
if ($0 in stored_lines)
   x=1
else
   print
   stored_lines[$0]=1
}' /tmp/changelog.u.$HOST.2 > /tmp/changelog.u.$HOST 


sed s/\"//g /tmp/changelog.u.$HOST > /tmp/changelog.u.$HOST.$$.2


while read -r a                    
do   

PRO_ID=$( cat /tmp/changelog.u.$HOST.3 | grep -i "\"$a\"" | awk -F\, '{print $1}' )

/bin/cat << EOM 
<option value=$PRO_ID>$a</option>
EOM



done < /tmp/changelog.u.$HOST.$$.2


/bin/cat << EOM
</select></td></tr><tr><td>
<!-- will eventually be autopopulated -->
Username:</td><td><input type="text" name="Username" value="$USERNAME"></td></tr>

<tr>
<td>Task:</td><td><input type="text" name="Task" COLS="180"></td></tr>
<td></td><td><input type="hidden" value="N" name="Completed"></td></tr>
<tr><td></td><td>
<INPUT TYPE="submit" VALUE="submit" onclick="this.disabled=1; this.form.submit()"></td></tr>
</table><br><br><br><br><br><br><br><br><br><hr><br>
<a href="/BUGGER/Index.shtml?USERNAME=$USERNAME">Cancel</a>
</form></body>
</html>
EOM

exit

}


#function main
echo Content-Type: text/html
echo

# Auth script here
USERNAME=$( /bin/env | grep "REQUEST_URI" | sed -n 's/^.*USERNAME=\([^&]*\).*$/\1/p' )

generate_html