#!/bin/bash
#
# Filename: Login_logout_option.sh
#
# Copyright Ben Tasker 2009
# Released under GNU GPL V3
# See http://benscomputer.no-ip.org/LICENSE
# for details

echo Content-Type: text/plain
echo

REQUEST_URI=$( /bin/env | grep "REQUEST_URI" )

USERNAME=$( echo "$REQUEST_URI" | sed -n 's/^.*USERNAME=\([^&]*\).*$/\1/p' )


if [ "$USERNAME" == "" ]
then
/bin/cat << EOM
<a href="/BUGGER/Login.shtml">Log In</a>
EOM
exit
fi

AUTH_CHECK=$( ./BUGGER_auth_check.sh $USERNAME U )

if [ "$AUTH_CHECK" == "Y" ]
then

/bin/cat << EOM
<a href="/BUGGER/Logout.shtml?USERNAME=$USERNAME">Log Out</a>
EOM
exit

fi

/bin/cat << EOM
<a href="/BUGGER/Login.shtml">Log In</a>
EOM
