#!/bin/bash
#
# Script to notify developers of Comment Abuse.
##
#
#####################################################################
#                                                                   #
#                   Released under GNU GPL V2                       #
#                   Copyright Ben Tasker 2009                       #
#               http://benscomputer.no-ip.org/LICENSE               #
#                                                                   #
#####################################################################


echo Content-Type: text/plain
echo


COMMENTS_ID=$( /bin/env | grep "REQUEST_URI" | sed -n 's/^.*COMMENTID=\([^&]*\).*$/\1/p' )
BUG=$( /bin/env | grep "REQUEST_URI" | sed -n 's/^.*BUG=\([^&]*\).*$/\1/p' )

USERNAME=$( /bin/env | grep "REQUEST_URI" | sed -n 's/^.*USERNAME=\([^&]*\).*$/\1/p' )

SENDER=$( cat $PASSWORD_SENDER_FILE )
PASS=$( cat $PASSWORD_FILE )
SUBJECT="Benscomputer.no-ip.org - Comment $COMMENTS_ID Reported as Abuse"
MESSAGE0="<html>"
MESSAGE1="Comment $COMMENT_ID Reported as Abuse"
MESSAGE2="<br><br>"
MESSAGE3="Report filed by User: $USERNAME<br><br>"
MESSAGE4=" "
MESSAGE5=" "
MESSAGE6="View the Comment <a href=http://benscomputer.no-ip.org/BUGGER/Devel_View_bugs.shtml?BUGID=$BUG&COMMENTABUSE=$COMMENTS_ID target=_blank>here</a> (highlighted in Red)<br><br>Message Ends"
MESSAGE7="</html>"
MESSAGE=$( echo $MESSAGE0 ; echo $MESSAGE1 ; echo $MESSAGE2 ; echo $MESSAGE3; echo $MESSAGE4; echo $MESSAGE5; echo $MESSAGE6; echo $MESSAGE7 )
/usr/local/bin/sendEmail -f bentasker@gmail.com -u "$SUBJECT" -m "$MESSAGE" -s smtp.gmail.com:587 -xu $SENDER -xp $PASS -t btasker@gmail.com -o tls=auto > /dev/null

/bin/cat << EOM
Your Report of $COMMENTS_ID has been received. Thanks!
<br><br><br>
<a href="/BUGGER/Index.shtml?USERNAME=$USERNAME">Home</a>
<br><br>
EOM
./BUGGER_generate_footer.sh

exit
